#!/bin/sh

# Launcher script for Storage Manager daemon

unset JAVA_HOME CLASSPATH JFLAGS 

OS=`uname -s`

case $OS in
   "UnixWare")
      	   INSTDIR=/opt/StorMan
	  
	   if [ -d /usr/java2 ]; then
	       # Using Java 2 JDK	
	      JAVA_HOME=/usr/java2
	   elif [ -d /usr/jre2 ]; then
	       # Using JRE 2 JDK	
	      JAVA_HOME=/usr/jre2
	   elif [ -d /usr/java ]; then
	       # Using Java 1 JDK	
	      JAVA_HOME=/usr/java
           elif [ -d /usr/jre ]; then
              # Using Java 1 JRE   
	      JAVA_HOME=/usr/jre
	   fi
	  
	   THREADS_FLAG=native 
           JAVA_COMPILER=NONE
           JFLAGS="-mx192m -ms8m"
           export JAVA_COMPILER JFLAGS
	   ;;
   "OpenUNIX")
      	   INSTDIR=/opt/StorMan
	  
	   if [ -d /usr/java2 ]; then
	       # Using Java 2 JDK	
	      JAVA_HOME=/usr/java2
	   elif [ -d /usr/jre2 ]; then
	       # Using JRE 2 JDK	
	      JAVA_HOME=/usr/jre2
	   elif [ -d /usr/java ]; then
	       # Using Java 1 JDK	
	      JAVA_HOME=/usr/java
           elif [ -d /usr/jre ]; then
              # Using Java 1 JRE   
	      JAVA_HOME=/usr/jre
	   fi
	  
	   THREADS_FLAG=native 
           JAVA_COMPILER=NONE
           JFLAGS="-mx192m -ms8m"
           export JAVA_COMPILER JFLAGS
	   ;;
   "SCO_SV" )
	   INSTDIR=/opt/StorMan
	   
	   if [ -d /usr/java2 ]; then
	       # Using Java 2 JDK	
	      JAVA_HOME=/usr/java2
	   elif [ -d /usr/jre2 ]; then
	       # Using JRE 2 JDK	
	      JAVA_HOME=/usr/jre2
	   elif [ -d /usr/java ]; then
	       # Using Java 1 JDK	
	      JAVA_HOME=/usr/java
           elif [ -d /usr/jre ]; then
              # Using Java 1 JRE   
	      JAVA_HOME=/usr/jre
	   fi           
	   
	   # JDK1.1.7 does not support native threads for OpenServ 
	   THREADS_FLAG=green 
           JAVA_COMPILER=NONE
            JFLAGS="-mx192m -ms8m"
           export JAVA_COMPILER JFLAGS
	   ;;
   "Linux")
	   INSTDIR=/usr/StorMan
           Arch=`uname -m` 
           if [ "$Arch" = "ia64" ];then 
	      JAVA_HOME="./IBMJava2-ia64-13"   # use bundled JRE 64
  	   else 	   
       	      JAVA_HOME="."   # use bundled JRE 32
           fi        
           JAVA_BIN=$JAVA_HOME/jre/bin
           JAVA_LIB=$JAVA_HOME/jre/lib
           KERNEL_MINOR_VERSION=`awk '{print $3}' /proc/version | awk -F . '{print $2}'`
	   ;;
esac

if [ ! "$JAVA_BIN" ]; then
   JAVA_BIN=$JAVA_HOME/bin
fi

if [ ! "$JAVA_LIB" ]; then
   JAVA_LIB=$JAVA_HOME/lib
fi

LD_LIBRARY_PATH=$INSTDIR:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH JAVA_HOME JAVA_BIN JAVA_LIB CLASSPATH THREADS_FLAG

cd $INSTDIR

if [ "$OS" = "Linux" ]; then
   $JAVA_BIN/java -Djava.compiler=NONE -cp $INSTDIR/RaidMan.jar com.ibm.sysmgt.raidmgr.agent.ManagementAgent $* 
else
   # if JDK exists on system, use it. Otherwise use JRE.
   if [ -f $JAVA_BIN/java ]; then
      $JAVA_BIN/java $JFLAGS -classpath $INSTDIR/RaidMan.jar:$JAVA_LIB/classes.zip com.ibm.sysmgt.raidmgr.agent.ManagementAgent $* &
   else
      $JAVA_BIN/jre $JFLAGS -nojit -cp $INSTDIR/RaidMan.jar -cp $JAVA_LIB/classes.zip com.ibm.sysmgt.raidmgr.agent.ManagementAgent $* &
   fi
fi
